﻿@model IEnumerable<lap.tel.com_project.Models.RepairStatus>

@{
    ViewData["Title"] = "Status napraw";
}

<h4>Status napraw</h4>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Device)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RepairType)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DateSubmitted)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DateCompleted)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Where(m => !m.IsArchived).Concat(Model.Where(m => m.IsArchived)))
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Device.DeviceId)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.RepairType.RepairName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Status)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateSubmitted)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateCompleted)
                </td>
                <td>
                    <a class="btn btn-light btn-sm" asp-controller="Devices" asp-action="Details" asp-route-id="@item.Device.DeviceId">Szczegóły</a>
                </td>
            </tr>
        }
    </tbody>
</table>
